using BarContracts.BindingModels;
using BarContracts.SearchModels;
using BarContracts.ViewModels;

namespace BarContracts.StoragesContracts
{
    public interface IImplementerStorage
    {
        List<ImplementerViewModel> GetFullList();
        
        List<ImplementerViewModel> GetFilteredList(ImplementerSearchModel Model);
        
        ImplementerViewModel? GetElement(ImplementerSearchModel Model);
        
        ImplementerViewModel? Insert(ImplementerBindingModel Model);
        
        ImplementerViewModel? Update(ImplementerBindingModel Model);
        
        ImplementerViewModel? Delete(ImplementerBindingModel Model);
    }
}
